#!/usr/bin/env bash

# This serial script links the WFN files from the MF to the BGW folder.

# First, link all CD files
echo "Linking pseudopotential and charge densities"
for directory in {2,3,5}*-*/; do
  echo " Working on directory $directory"
  cd $directory
  ln -sf ../1-scf/CD .
  ln -sf ../1-scf/Si_POT.DAT .
  cd ../
done
echo

echo "Linking WFNs to BGW directory"
cd ../2-bgw/

echo " Working on directory 1-epsilon"
cd 1-epsilon/
ln -sf ../../1-mf/2.1-epsilon/WFN WFN
ln -sf ../../1-mf/2.2-epsilon_q/WFN WFNq
cd ../

echo " Working on directory 2-sigma"
cd 2-sigma/
ln -sf ../../1-mf/3-sigma/RHO .
ln -sf ../../1-mf/3-sigma/WFN WFN_inner
ln -sf ../../1-mf/3-sigma/vxc.dat .
cd bandstructure/
ln -sf ../../../1-mf/3-sigma/WFN WFN_co
ln -sf ../../../1-mf/5-bandstructure/WFN WFN_fi
cd ..
cd ..

echo
echo "Done!"
